geo = gmt ('read', '-Td geologists.txt'); % Read in the point data
% Decimate data using median spatial averaging on a 1 arc min lattice
ave = gmt ('blockmedian', '-R158:00W/156:40W/18:00N/19:40N -I1m', geo);
% Grid the data using splines in tension
G = gmt ('surface', '-R -I1m -T0.2', ave);
% Plot the result in MATLAB
figure(1); clf; subplot (2,1,1)
contour (G.x, G.y, G.z)
hold on; axis equal
plot (ave.data(:,1), ave.data(:,2), 'g.', 'MarkerSize', 2)
axis (G.range(1:4)); subplot (2,1,2)
surf (G.x, G.y, -G.z); title ('Geologists Seamounts')
