% Read in all tracks
all = gmt ('read -Td all_tracks.txt');
% Initiate the crossover system
here = pwd;
setenv ('X2SYS_HOME', here);
gmt ('x2sys_init', 'TEST -Dgeoz -Etxt -F -Gd -R-180/-175/0/5')
% Compute internal crossovers
cross = gmt ('x2sys_cross', '-TTEST all_tracks.txt -Qi -Ia');
% Make plot showing crossovers and a histogram of their values
% Find which crossings exceed dz = 4.
bad = find (abs(cross.data(:,11)) > 4);
figure (4); clf; subplot (2,1,1); hold on
xlabel ('Longitude'); ylabel('Latitude');
tracks = gmt ('catsegment', all, 1);
plot (tracks(:,1), tracks(:,2)); hold on
plot (cross.data(bad,1), cross.data(bad,2), 'ko', 'MarkerSize', 10)
title ('Crossover Error Analysis')
% Plot tracks and lcoations of crossings
plot (cross.data(:,1), cross.data(:,2), 'r.', 'MarkerSize', 15)
subplot (2,1,2)
histogram (cross.data(:,11), -40:1:10)
xlabel ('Free-air gravity COE (mGal)'); ylabel('Count');
